> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vistaly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit user feedback

> Submit feedback from users to improve the product. This can include general comments or specific insights on their experience.



## OpenAPI

````yaml https://api.vistaly.com/v1/swagger.json post /v1/feedback
openapi: 3.1.0
info:
  contact:
    email: support@vistaly.com
    name: Vistaly Support Team
  description: >-
    Vistaly's public API for interacting with our platform, enabling developers
    to integrate with various features such as feedback, cards, and system
    health.
  termsOfService: https://vistaly.com/terms-of-service
  title: Vistaly API
  version: '2025-06-21'
servers:
  - description: Production server
    url: https://api.vistaly.com
security: []
tags:
  - description: System-related endpoints to interact with the overall service.
    name: system
  - description: >-
      Endpoints related to card management, including the creation and
      modification of card metrics and related data.
    externalDocs:
      description: Learn more about Cards
      url: https://docs.vistaly.com/en/card-types/overview
    name: cards
  - description: >-
      Endpoints for handling insights data, such as user feedback and interview
      records.
    externalDocs:
      description: Learn more about Insights
      url: https://docs.vistaly.com/en/insights/overview
    name: insights
paths:
  /v1/feedback:
    post:
      tags:
        - feedback
      summary: Submit user feedback
      description: >-
        Submit feedback from users to improve the product. This can include
        general comments or specific insights on their experience.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              example:
                message: Feedback created
              schema:
                $ref: '#/components/schemas/MessageResponse'
          description: Feedback submitted successfully
        '400':
          description: Bad request
          content:
            application/json:
              example:
                message: Bad request
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                message: Forbidden
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal server error
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    FeedbackRequest:
      additionalProperties: false
      properties:
        body:
          description: The content of the feedback
          type: string
        cardIds:
          description: An array of card IDs to associate with this feedback
          type: array
          items:
            type: string
        feedbackProviders:
          description: >-
            An array of individuals who provided the feedback, each with their
            first name (optional), last name (optional), and email
          type: array
          items:
            additionalProperties: false
            properties:
              firstName:
                description: The first name of the individual
                type: string
              lastName:
                description: The last name of the individual
                type: string
              email:
                description: The email address of the individual
                type: string
                format: email
            required:
              - email
            type: object
        feedbackReceivers:
          description: >-
            An array of individuals who received the feedback. If the individual
            isn't a member of your Vistaly organization, their value will be
            ignored.
          items:
            additionalProperties: false
            properties:
              email:
                description: The email address of the individual.
                format: email
                type: string
            required:
              - email
            type: object
          type: array
        parseMarkdown:
          description: >-
            Whether to parse the body content as markdown and convert to
            structured format (defaults to false)
          type: boolean
        timestamp:
          description: >-
            The timestamp of when the feedback was captured (defaults to current
            timestamp if not provided)
          format: date-time
          type: string
        url:
          description: The url where the feedback came from
          example: https://vistaly.com
          format: uri
          type: string
      required:
        - body
      type: object
    MessageResponse:
      additionalProperties: false
      properties:
        message:
          example: System provided message
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````